ANSWER=""
ABORT_TEXT="Uninstallation aborted"
TAIL_TEXT="AVG Admin Server for Linux successfully removed"

remove_file()
{
	FILE_PATH="$(/bin/ls $@)"

    for f in $FILE_PATH;
	do
		if [ -f $f -o -h $f ]
    	then
        	echo "Removing file '$f'..."
        	rm -f "$f"
    	else
			warning "File '$f' doesn't exist!"
    	fi

    	if [ $? -ne 0 ]
    	then
			warning "Can't remove file '$f'!"
    	fi
	done
}

remove_dirs()
{
    DIRS="$1"
	
	for i in $DIRS;
	do
	echo "Removing dir '$i'..."

		if [ -d $i ]
		then
			rmdir $i
			if [ $? -ne 0 ]
			then
				ask_yorN_question "Removing of directory failed. Do you want to erase its content?"
				if [ $? -eq 1 ]
				then
					rm -f $i/*
			
					rmdir $i
					if [ $? -ne 0 ]
					then
						warning "Can't remove directory '$i'!"
					fi
				else
					warning "Can't remove directory '$i'!"
				fi
			fi
		fi
	done
}

stop_server()
{    
	 STATUS=`ps -eo comm | grep ^avgadmsrv$`
    if [ ! -z "$STATUS" ]
    then
		$INIT_SLINK_PATH stop
    fi
}

clear
echo "==============================================="
echo "   AVG Admin Server for Linux uninstallation   "
echo "==============================================="
# check_root
if [ $(id -u) -ne 0 ]
then
    abort "Try to run this as root.";
	
    exit 1;
fi

echo "Note: The AVG Admin Server files will be removed, including the database."
echo "      If you want to keep the files, you need to backup these prior to"
echo "      uninstalling."
ask_yesorno_question "Do you want to continue?"
if [ $? -eq 0 ]
then
    abort
fi

stop_server
